#############################################################################
# Makefile for building: untitled
# Generated by qmake (2.01a) (Qt 4.7.2) on: Thu Aug 25 09:36:53 2011
# Project:  ..\untitled\untitled.pro
# Template: app console
# Command: c:\qtsdk\desktop\qt\4.7.2\msvc2008\bin\qmake.exe -spec c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\win32-msvc2008 CONFIG+=release QMLJSDEBUGGER_PATH=C:/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile ..\untitled\untitled.pro
#############################################################################

####### Compiler, tools and options

CC            = cl
CXX           = cl
DEFINES       = -DUNICODE -DWIN32 -DQT_LARGEFILE_SUPPORT -DIS_WIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT
CFLAGS        = -nologo -Zm200 -Zc:wchar_t- -Zi -MDd $(DEFINES)
CXXFLAGS      = -nologo -Zm200 -Zc:wchar_t- -Zi -MDd $(DEFINES)
INCPATH       = -I"c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\include\QtCore" -I"c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\include\QtGui" -I"c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\include" -I"c:\cvshoops\R1910\hoops_3daf_basic\Dev_Tools\hoops_3dgs\source" -I"c:\cvshoops\R1910\hoops_3daf_basic\Dev_Tools\hoops_mvo\source" -I"c:\cvshoops\R1910\hoops_3daf_basic\Dev_Tools\utility\source" -I"..\untitled" -I"c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\include\ActiveQt" -I"." -I"." -I"c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\win32-msvc2008"
LINK          = link
LFLAGS        = /LIBPATH:"c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\lib" /NOLOGO /DEBUG
LIBS          = C:\cvshoops\R1910\hoops_3daf_basic\Dev_Tools\hoops_3dgs\lib\nt_i386_vc90\hoopsd.lib C:\cvshoops\R1910\hoops_3daf_basic\Dev_Tools\hoops_mvo\lib\nt_i386_vc90\hoops_mvod.lib C:\cvshoops\R1910\hoops_3daf_basic\Dev_Tools\utility\lib\nt_i386_vc90\hoops_utilsstatd_md.lib c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\lib\QtGuid4.lib c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\lib\QtCored4.lib 
QMAKE         = c:\qtsdk\desktop\qt\4.7.2\msvc2008\bin\qmake.exe
IDC           = c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = . 

####### Files

SOURCES       = ..\untitled\main.cpp \
		..\untitled\MdiChild.cpp \
		..\untitled\MainWindow.cpp \
		..\untitled\HQWidget.cpp moc_MainWindow.cpp \
		moc_HQWidget.cpp
OBJECTS       = main.obj \
		MdiChild.obj \
		MainWindow.obj \
		HQWidget.obj \
		moc_MainWindow.obj \
		moc_HQWidget.obj
DIST          = 
QMAKE_TARGET  = untitled
DESTDIR        =  #avoid trailing-slash linebreak
TARGET         = untitled.exe
DESTDIR_TARGET = untitled.exe

####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx

{.}.cpp{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{.}.cc{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{.}.cxx{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{.}.c{}.obj::
	$(CC) -c $(CFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{..\untitled}.cpp{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{..\untitled}.cc{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{..\untitled}.cxx{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{..\untitled}.c{}.obj::
	$(CC) -c $(CFLAGS) $(INCPATH) -Fo @<<
	$<
<<

####### Build rules

first: all
all: Makefile $(DESTDIR_TARGET)

$(DESTDIR_TARGET):  $(OBJECTS) 
	$(LINK) $(LFLAGS) /OUT:$(DESTDIR_TARGET) @<< 
	  $(OBJECTS) $(LIBS)
<<


Makefile: ..\untitled\untitled.pro  c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\win32-msvc2008\qmake.conf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\qconfig.pri \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\modules\qt_webkit_version.pri \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt_functions.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt_config.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\exclusive_builds.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\default_pre.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\default_pre.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\debug.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\default_post.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\default_post.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\thread.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\moc.prf \
		c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\include_source_dir.prf
	$(QMAKE) -spec c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\win32-msvc2008 CONFIG+=release QMLJSDEBUGGER_PATH=C:/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile ..\untitled\untitled.pro
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\qconfig.pri:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\modules\qt_webkit_version.pri:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt_functions.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt_config.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\exclusive_builds.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\default_pre.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\default_pre.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\debug.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\default_post.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\default_post.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\thread.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\moc.prf:
c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\include_source_dir.prf:
qmake:  FORCE
	@$(QMAKE) -spec c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\win32-msvc2008 CONFIG+=release QMLJSDEBUGGER_PATH=C:/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile ..\untitled\untitled.pro

dist:
	$(ZIP) untitled.zip $(SOURCES) $(DIST) ..\untitled\untitled.pro c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\qconfig.pri c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\modules\qt_webkit_version.pri c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt_functions.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt_config.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\exclusive_builds.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\default_pre.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\default_pre.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\debug.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\default_post.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\default_post.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\qt.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\win32\thread.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\moc.prf c:\QtSDK\Desktop\Qt\4.7.2\msvc2008\mkspecs\features\include_source_dir.prf  HEADERS SOURCES OBJECTIVE_SOURCES 

clean: compiler_clean 
	-$(DEL_FILE) main.obj MdiChild.obj MainWindow.obj HQWidget.obj moc_MainWindow.obj moc_HQWidget.obj
	-$(DEL_FILE) untitled.ilk vc*.pdb vc*.idb

distclean: clean
	-$(DEL_FILE) untitled.pdb
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile

check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_MainWindow.cpp moc_HQWidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_MainWindow.cpp moc_HQWidget.cpp
moc_MainWindow.cpp: ..\untitled\MainWindow.h
	C:\QtSDK\Desktop\Qt\4.7.2\msvc2008\bin\moc.exe $(DEFINES) $(INCPATH) -D_MSC_VER=1500 -DWIN32 ..\untitled\MainWindow.h -o moc_MainWindow.cpp

moc_HQWidget.cpp: ..\untitled\HQWidget.h
	C:\QtSDK\Desktop\Qt\4.7.2\msvc2008\bin\moc.exe $(DEFINES) $(INCPATH) -D_MSC_VER=1500 -DWIN32 ..\untitled\HQWidget.h -o moc_HQWidget.cpp

compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_clean: compiler_moc_header_clean 



####### Compile

main.obj: ..\untitled\main.cpp ..\untitled\MainWindow.h

MdiChild.obj: ..\untitled\MdiChild.cpp ..\untitled\MdiChild.h \
		..\untitled\HQWidget.h

MainWindow.obj: ..\untitled\MainWindow.cpp ..\untitled\MainWindow.h \
		..\untitled\MdiChild.h \
		..\untitled\HQWidget.h

HQWidget.obj: ..\untitled\HQWidget.cpp ..\untitled\HQWidget.h

moc_MainWindow.obj: moc_MainWindow.cpp 

moc_HQWidget.obj: moc_HQWidget.cpp 

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

